/* GENERAL */

@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600&display=swap");

* {
  margin: 0;
  padding: 0;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: #f0f0f3;
}

html {
  scroll-behavior: smooth;
  scroll-snap-type: y mandatory;
}

p {
  color: rgb(85, 85, 85);
}

/* TRANSITION */

a,
.btn {
  transition: all 300ms ease;
}

/* DESTOPNAV */

nav,
.navlinks {
  display: flex;
}

nav {
  justify-content: space-around;
  align-items: center;
  height: 17vh;
  scroll-snap-align: start;
}

.navlinks {
  gap: 1rem;
  list-style: none;
  font-size: 1.1rem;
}

.navlinks li{
  transition-duration: 0.6s;
}

.navlinks li:hover{
  transform: scale(1.15);
  transition-duration: 0.7s;
  
}

a {
  text-transform: uppercase;
  color: black;
  background-color: #f0f0f3;
  text-decoration: none;
  box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
  padding: 0.3rem 0.7rem;
  border-radius: 0.7rem;
}

a:hover {
  background-color: #5b8c5a;
  color: #d1eaca;
  transition: 0.4s;
  cursor: pointer;
}

.logo {
  font-size: 3rem;
  font-weight: 600;
  color: #5b8c5a;
  padding: 0.2rem 1rem;
    border-radius: 0.9rem;
  box-shadow: inset -5px -5px 9px rgba(255, 255, 255, 0.45), inset 5px 5px 9px rgba(94, 104, 121, 0.3);
}

.logo:hover {
  cursor: default;
}

/* NAV BUTTON ICONS */

.ri-file-info-line,
.ri-home-8-line,
.ri-at-line,
.ri-tools-fill,
.ri-code-s-slash-line {
  padding-right: 0.5rem;
}

/* HAMBURGER MENU */

#hamburgernav {
  display: none;
}

.hamburgermenu {
  position: relative;
  display: inline-block;
}

.hamburgericon {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 30px;
  width: 35px;
  cursor: pointer;
  color: black;
  background-color: #f0f0f3;
  text-decoration: none;
  box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
  padding: 0.3rem 1.5rem;
  border-radius: 0.9rem;
}

.hamburgericon span {
  width: 100%;
  height: 2px;
  background-color: #5b8c5a;
  transition: all 0.3 ease-in-out;
}

.menulinks {
  position: absolute;
  top: 100%;
  right: 0;
  background-color: #f0f0f3;
  width: fit-content;
  height: auto;
  max-height: 0;
  overflow: hidden;
  transition: all 0.3s ease-in-out;
}

.menulinks a {
  display: block;
  padding: 10px;
  text-align: center;
  font-size: 1.5rem;
  color: black;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
  box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
  padding: 0.3rem 1.5rem;
  border-radius: 0.9rem;
}

.menulinks li {
  list-style: none;
}

.menulinks.open {
  max-height: 300px;
}

.hamburgericon.open span:first-child {
  transform: rotate(45deg) translate(10px, 5px);
}

.hamburgericon.open span:nth-child(2) {
  opacity: 0;
}

.hamburgericon.open span:last-child {
  transform: rotate(-45deg) translate(10px, -5px);
}

.hamburgericon span:first-child {
  transform: none;
  margin-top: 0.5rem;
}

.hamburgericon span:first-child {
  opacity: 1;
}

.hamburgericon span:first-child {
  transform: none;
}

.hamburgericon span:last-child {
  margin-bottom: 0.5rem;
}

/* SECTIONS */
.textcontainer {
  align-self: center;
  text-align: center;
}

section {
  padding-top: 3vh;
  height: 96vh;
  margin: 0 10rem;
  box-sizing: border-box;
  min-height: fit-content;
  scroll-snap-align: start;
  scroll-snap-stop: normal;
}

.sectioncontainer {
  display: flex;
}

/* HERO SECTION */

#hero {
  display: flex;
  justify-content: center;
  gap: 5rem;
  height: 80vh;
}

.sectionpiccontainer {
  display: flex;
  height: 400px;
  width: 400px;
  margin: auto 0;
  padding-bottom: 7rem;
  animation: slideInFromLeft 0.65s ease-in;
}

.sectiontext {
  align-self: center;
  text-align: center;
}

.namegreen {
  color: #5b8c5a;
}

.sectiontext p {
  font-weight: 600;
}

.sectiontextp1 {
  opacity: 0;
  text-align: center;
  font-size: 1.75rem;
  animation: fadeIn 1s ease-in;
  animation-delay: 0.85s;
  animation-fill-mode: forwards;
}

.sectiontextp2 {
  font-size: 1.75;
  margin-bottom: 1rem;
}

.title {
  opacity: 0;
  font-size: 3rem;
  text-align: center;
  animation: fadeIn 1s ease-in;
  animation-delay: 1.7s;
  animation-fill-mode: forwards;
}

#socialscontainer {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  gap: 1rem;
}

/* ICON */

.icon {
  cursor: pointer;
  height: 2.5rem;
}

/* BUTTONS */

.btncontainer {
  display: flex;
  justify-content: center;
  gap: 1rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
}

.btn {
  text-transform: uppercase;
  font-size: 1.1rem;
  background-color: #f0f0f3;
  text-decoration: none;
  border: none;
  box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
  padding: 0.7rem 1rem;
  border-radius: 0.9rem;
}

.btncolor1,
.btncolor2 {
  border: none;
}

.btncolor1:hover,
.btncolor2:hover {
  cursor: pointer;
}

.btncolor1,
.btncolor2:hover {
  background: #5b8c5a;
  color: #f0f0f3;
}

.btncolor1:hover {
  background: #f0f0f3;
  color: #5b8c5a;
}

.btncolor2 {
  background: none;
}

.btncolor2:hover {
  border: none;
}

.btncontainer {
  gap: 1rem;
}

/* ABOUT SECTION */

#about {
  position: relative;
}

.aboutcontainers {
  gap: 2rem;
  margin-bottom: 2rem;
  margin-top: 2rem;
}

.aboutdetailscontainer {
  justify-content: center;
  flex-direction: column;
}

.aboutcontainers,
.aboutdetailscontainer {
  display: flex;
}

.aboutpic {
  border-radius: 2rem;
}

.arrow {
  position: absolute;
  right: -5rem;
  bottom: 2.5rem;
}

.detailscontainer {
  padding: 1.5rem;
  flex: 1;
  background: #93c692;
  border-radius: 2rem;
  text-align: center;
  box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
}

.sectioncontainer {
  gap: 4rem;
  height: 80%;
}

.sectionpiccontainer {
  height: 400px;
  width: 400px;
  margin: auto 0;
}

/* SKILLS SECTION */
#experience {
  position: relative;
}

.experiencesubtitle {
  color: rgb(85, 85, 85);
  font-weight: 600;
  font-size: 1.75rem;
  margin-bottom: 2rem;
}

.experiencedetailscontainer {
  display: flex;
  justify-content: center;
  flex-direction: column;
}

.articlecontainer {
  display: flex;
  text-align: initial;
  flex-wrap: wrap;
  flex-direction: row;
  gap: 2.5rem;
  justify-content: space-around;
}

article {
  display: flex;
  width: 10rem;
  justify-content: space-around;
  gap: 0.5rem;
}

article .icon {
  cursor: default;
}

/* COURSEWORK SECTION */
#coursework {
  position: relative;
}

.projecttitle {
  margin: 1rem;
  color: black;
}

/* CONTACT SECTION */
#contact {
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 70vh;
  }
  
  .contactinfouppercontainer {
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 2rem;
    background: (250, 250, 250);
    margin: 2rem auto;
    padding: 0.5rem;
    box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
  }
  
  .contactinfocontainer {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    margin: 1rem;
  }
  
  .contactinfocontainer p {
    font-size: larger;
  }
  
  .contacticon {
    cursor: default;
  }
  
  .emailicon {
    height: 2.5rem;
  }

  /* FOOTER */
  footer {
    height: 26vh;
    margin: 0 1rem;
  }
  
  footer p {
    text-align: center;
  }

  #footernav {
    padding-top: 4rem;
    padding-bottom: 2rem;
  }

/* CONTACT PAGE */
#formtoplevel {
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 2rem;
    background: (250, 250, 250);
    margin: 5rem 5rem;
    padding: 0.5rem;
    box-shadow: -7px -7px 20px 0px #fff9, -4px -4px 5px 0px #fff9,
    7px 7px 20px 0px #0002, 4px 4px 5px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001, inset 0px 0px 0px 0px #fff9,
    inset 0px 0px 0px 0px #0001;
}

.formcontainer {
  width: 20rem;
  margin: 0 auto;
}

.formcontainer input[type="text"],
.formcontainer textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  box-sizing: border-box;
  border: none;
  border-radius: 0.9rem;
}



#email {
  margin-bottom: 1rem;
  margin-top: 1rem;
}

/* KEYFRAME ANIMATIONS */

@keyframes slideInFromLeft {
  0% {
    transform: skewX(53deg) translateX(-500px);
    opacity: 0;
  }
  60% {
    transform: translateX(0deg);
  }
  62% {
    transform: skewX(0deg) translateX(30px);
  }
  70% {
    transform: skew(-20deg);
  }
  80% {
    transform: skewX(0deg) translate(0px);
  }
  90% {
    transform: skew(-5deg);
  }
  100% {
    transform: skew(deg);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  60% {
    opacity: 0.6;
  }
  62% {
    opacity: 0.62;
  }
  70% {
    opacity: 0.7;
  }
  80% {
    opacity: 0.8;
  }
  90% {
    opacity: 0.97;
  }
  100% {
    opacity: 1;
  }
}
